By烟花易冷

EasyGhost:VPS一键安装Ghost博客环境脚本
2015-07-12

Ghost一个新兴的轻量型博客程序,原生支持markdown语法,使用Node.js语言和MySQL数据库开发的,同时支持MySQL、MariaDB、SQLite和PostgreSQL,我们可以在支持Node.js的服务器上使用自己的博客。据说它是由两位WordPress前工程师开发,特点就是轻、快、高效,适合极客一族使用。

然而要手动搭配Ghost博客环境的话,需要较多的操作,并且如果需要搭建多个Ghost博客的话,一个个机子来操作可谓相当繁琐,并且对于一个毫无linux基础的新手来说,只是望而却步。而今天我将自己写好的VPS一键安装Ghost博客环境脚本EasyGhost在这里发布一下,适用于dpgk系linux(包括但不限于Ubuntu、Debian、LinuxMint等)的服务器,方便想体验Ghost博客的朋友么么哒@[email protected]

首先来说说安装过程吧,连接上您的Linux VPS/VDS之后,先更新软件包再下载脚本安装,执行如下命令便可:

sudo apt-get update
sudo wget http://theme.zzfly.net/EasyGhost/EasyGhost.sh
sudo sh EasyGhost.sh

期间EasyGhost:VPS一键安装Ghost博客环境脚本会让你输入你的域名,例如你想安装博客在zzfly.net这个域名下,则输入zzfly.net即可,当看到[Finished]字样时,恭喜你,已经安装成功~访问 http://你的域名/ghost 做进一步设置吧

下面晒晒我的测试截图(环境:Linux Mint 17 Cinnamon):

QQ图片20150704143030

QQ图片20150704142915

final

QQ图片20150704150343

最后是coding和koding的实战(话说这两家有关系嘛,除了发音一样)
QQ截图20150704181121

codingQQ图片20150704180047


最后对这个一键安装Ghost博客脚本的详细情况做出逐一说明。
1、WEB服务器:LightTPD(轻量型,版本视系统而定,在低配置VPS中效果极好)
2、Node.js版本:v0.12.5
3、Ghost版本:0.6.3 中文版
4、数据库:SQLite(轻量型,版本视系统而定,在低配置VPS中效果极好 +1)
5、网站根目录:/home/wwwroot/ghost
6、数据库文件:/home/wwwroot/ghost/content/data/ghost.db

一键安装Ghost博客就这么简单,这个小小博客程序的生命力远远比想象中的强大,祝大家使用愉快~如果玩腻了Ghost,想要玩Typecho、WordPress等,需要一键安装超省内存的PHP环境,请移步这里:Rylig:VPS一键快速搭建lighttpd PHP MySQL sqlite脚本

留个小脚印

  • *只有经过审核的评论才会显示出来噢 发表评论
babytomas

收藏一下,表示我其实还没有玩过 Ghost 呢

烟花易冷

哇,大大求带喔

皮蛋

本来想弄的发现手头上机子不够。。。 🙁

yameimei

拜读一下,哈哈

硅藻泥缺点

不错 😉

快乐家园

一直在用wp,也不想要用别的了

eeequn

持续更新,持续来访。

伪饭

-_-||逼格大于实际。。。小红帽上体验过,对于我来说然并卵

允浩

blog到是搭建好了,但是有个问题,昨天到今天中午一直正常,下午就500错误了。。。 这现象出现过两次,上一次我直接重装了,郁闷~~~ 貌似是lighttpd的问题。。。

烟花易冷

请执行以下命令查看是否可以重新开启博客,如果可以的话一般是VPS不稳定被重启之后守护进程退出的问题
cd /home/wwwroot/ghost
npm start –production

wordpress优化

玩wordpress这么久了,不想折腾了

夜愿

Ghost 版本有更新,大神也更新一下吧。 😛

烟花易冷

好的我看看,谢谢提醒

温柔天蝎

能否出一下rpm系统的安装脚本呢?

awcode

不能添加多域名吧?

烟花易冷

可以的,空格分隔开即可

悉尼是哪个国家的

收藏一下

Unee Wang

这个安装好后,没有安装npm,所以不能运行呀。
我是到安装npm这一步断掉了,二进制包都不能用

烟花易冷

不能安装npm吗?原来我写的时候一切都没有问题,你的事什么系统

lee

博主,我按你的教程在搬瓦工上安装怎么打不开啊,乌班图上。现在这个一件安装还能用吗?谢谢!

烟花易冷

目前还可以使用,请确定系统是不是文章提及的那几个

x

博主,能更新下新版本的 一键安装脚本不?

烟花易冷

在考虑中呢,会有的哈

life

– – 首先三个not found 然后下载时卡在36% ❓ 🙁

w

请问装上以后可以升级的吗? ❓

烟花易冷

可以手动升级,我最近再出新的版本安装脚本吧

w

装好打开是500错误,npm start –production后正常,重启又是500错误,每次都要手动输一下命令,请问有什么办法吗?

烟花易冷

添加到开机启动吧

烟花易冷

脚本链接已失效,求更新 😉

松鼠

脚本链接已失效,求更新

LeeJon

脚本放假了?

DGboy

脚本链接失效了,能更新一下吗 博主